from fastapi.testclient import TestClient

from src.api.main import app

client = TestClient(app)


def test_create_flight(test_db):
    response = client.post(
        "/flights",
        json={
            "flight_code": "ABC125",
            "status": "En ruta",
            "origin": "Ciudad B",
            "destination": "Ciudad A",
            "departure_time": "2023-10-10 10:00 AM",
            "arrival_time": "2023-10-10 12:00 PM",
            "gate": "A2",
        },
    )
    assert response.status_code == 200
    assert response.json() == {
        "id": 1,
        "flight_code": "ABC125",
        "status": "En ruta",
        "origin": "Ciudad B",
        "destination": "Ciudad A",
        "departure_time": "2023-10-10 10:00 AM",
        "arrival_time": "2023-10-10 12:00 PM",
        "gate": "A2",
    }


def test_get_flight(test_db):
    response = client.get("/flights/1")
    assert response.status_code == 200
    # retrieved_fligt = Flight(**response.json())
    assert response.json() == {
        "id": 1,
        "flight_code": "ABC125",
        "status": "En ruta",
        "origin": "Ciudad B",
        "destination": "Ciudad A",
        "departure_time": "2023-10-10 10:00 AM",
        "arrival_time": "2023-10-10 12:00 PM",
        "gate": "A2",
    }
    # assert retrieved_fligt.id == flight_instance.id
    # assert retrieved_fligt.__eq__(flight_instance)
